package com.fs.qw.service;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.qw.domain.FsSopCompanyUserTask;
import com.fs.qw.dto.SopCompanyUserTaskDto;
import com.fs.qw.vo.SopCompanyUserTaskVo;

/**
 * 销售处理sop任务Service接口
 * 
 * @author fs
 * @date 2025-12-23
 */
public interface IFsSopCompanyUserTaskService extends IService<FsSopCompanyUserTask>{
    /**
     * 查询销售处理sop任务
     * 
     * @param id 销售处理sop任务主键
     * @return 销售处理sop任务
     */
    SopCompanyUserTaskVo selectFsSopCompanyUserTaskVoById(Long id);

    /**
     * 查询销售处理sop任务列表
     * 
     * @param queryDto 销售处理sop任务
     * @return 销售处理sop任务集合
     */
    List<SopCompanyUserTaskVo> selectFsSopCompanyUserTaskVoList(SopCompanyUserTaskDto queryDto);

    /**
     * 新增销售处理sop任务
     * 
     * @param fsSopCompanyUserTask 销售处理sop任务
     * @return 结果
     */
    int insertFsSopCompanyUserTask(FsSopCompanyUserTask fsSopCompanyUserTask);

    /**
     * 修改销售处理sop任务
     * 
     * @param fsSopCompanyUserTask 销售处理sop任务
     * @return 结果
     */
    int updateFsSopCompanyUserTask(FsSopCompanyUserTask fsSopCompanyUserTask);

    /**
     * 批量删除销售处理sop任务
     * 
     * @param ids 需要删除的销售处理sop任务主键集合
     * @return 结果
     */
    int deleteFsSopCompanyUserTaskByIds(Long[] ids);

    /**
     * 删除销售处理sop任务信息
     * 
     * @param id 销售处理sop任务主键
     * @return 结果
     */
    int deleteFsSopCompanyUserTaskById(Long id);

    /**
     * 获取日/周/月维度统计
     */
    Map<String, Object> getTaskStatistics();

    /**
     * 获取最近7天任务趋势数据
     */
    Map<String, Object> getTaskTrendLast7Days();

    List<SopCompanyUserTaskVo> statsOverviewAllList(SopCompanyUserTaskDto queryDto);
}
